// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: regulatormodule/regulatormodule.proto

package openfmb.regulatormodule;

public interface RegulatorControlATCCOrBuilder extends
    // @@protoc_insertion_point(interface_extends:regulatormodule.RegulatorControlATCC)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForControl logicalNodeForControl = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the logicalNodeForControl field is set.
   */
  boolean hasLogicalNodeForControl();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForControl logicalNodeForControl = 1 [(.uml.option_parent_message) = true];</code>
   * @return The logicalNodeForControl.
   */
  openfmb.commonmodule.LogicalNodeForControl getLogicalNodeForControl();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForControl logicalNodeForControl = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.LogicalNodeForControlOrBuilder getLogicalNodeForControlOrBuilder();

  /**
   * <pre>
   * Forward voltage regulation
   * </pre>
   *
   * <code>.regulatormodule.DirectionalATCC DirFwd = 2;</code>
   * @return Whether the dirFwd field is set.
   */
  boolean hasDirFwd();
  /**
   * <pre>
   * Forward voltage regulation
   * </pre>
   *
   * <code>.regulatormodule.DirectionalATCC DirFwd = 2;</code>
   * @return The dirFwd.
   */
  openfmb.regulatormodule.DirectionalATCC getDirFwd();
  /**
   * <pre>
   * Forward voltage regulation
   * </pre>
   *
   * <code>.regulatormodule.DirectionalATCC DirFwd = 2;</code>
   */
  openfmb.regulatormodule.DirectionalATCCOrBuilder getDirFwdOrBuilder();

  /**
   * <pre>
   * The control characteristics for power flow operation
   * </pre>
   *
   * <code>.commonmodule.Optional_DirectionModeKind DirMode = 3;</code>
   * @return Whether the dirMode field is set.
   */
  boolean hasDirMode();
  /**
   * <pre>
   * The control characteristics for power flow operation
   * </pre>
   *
   * <code>.commonmodule.Optional_DirectionModeKind DirMode = 3;</code>
   * @return The dirMode.
   */
  openfmb.commonmodule.Optional_DirectionModeKind getDirMode();
  /**
   * <pre>
   * The control characteristics for power flow operation
   * </pre>
   *
   * <code>.commonmodule.Optional_DirectionModeKind DirMode = 3;</code>
   */
  openfmb.commonmodule.Optional_DirectionModeKindOrBuilder getDirModeOrBuilder();

  /**
   * <pre>
   * Reverse voltage regulation
   * </pre>
   *
   * <code>.regulatormodule.DirectionalATCC DirRev = 4;</code>
   * @return Whether the dirRev field is set.
   */
  boolean hasDirRev();
  /**
   * <pre>
   * Reverse voltage regulation
   * </pre>
   *
   * <code>.regulatormodule.DirectionalATCC DirRev = 4;</code>
   * @return The dirRev.
   */
  openfmb.regulatormodule.DirectionalATCC getDirRev();
  /**
   * <pre>
   * Reverse voltage regulation
   * </pre>
   *
   * <code>.regulatormodule.DirectionalATCC DirRev = 4;</code>
   */
  openfmb.regulatormodule.DirectionalATCCOrBuilder getDirRevOrBuilder();

  /**
   * <pre>
   * This is the percentage used to determine the current threshold at which the control recognizes
   * current flow direction. Below the threshold, the current flow is considered to be indeterminate.
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC DirThd = 5;</code>
   * @return Whether the dirThd field is set.
   */
  boolean hasDirThd();
  /**
   * <pre>
   * This is the percentage used to determine the current threshold at which the control recognizes
   * current flow direction. Below the threshold, the current flow is considered to be indeterminate.
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC DirThd = 5;</code>
   * @return The dirThd.
   */
  openfmb.commonmodule.PhaseAPC getDirThd();
  /**
   * <pre>
   * This is the percentage used to determine the current threshold at which the control recognizes
   * current flow direction. Below the threshold, the current flow is considered to be indeterminate.
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC DirThd = 5;</code>
   */
  openfmb.commonmodule.PhaseAPCOrBuilder getDirThdOrBuilder();

  /**
   * <pre>
   * (controllable) If true, transformers operate in parallel, otherwise they operate independently.
   * </pre>
   *
   * <code>.commonmodule.PhaseSPC ParOp = 6;</code>
   * @return Whether the parOp field is set.
   */
  boolean hasParOp();
  /**
   * <pre>
   * (controllable) If true, transformers operate in parallel, otherwise they operate independently.
   * </pre>
   *
   * <code>.commonmodule.PhaseSPC ParOp = 6;</code>
   * @return The parOp.
   */
  openfmb.commonmodule.PhaseSPC getParOp();
  /**
   * <pre>
   * (controllable) If true, transformers operate in parallel, otherwise they operate independently.
   * </pre>
   *
   * <code>.commonmodule.PhaseSPC ParOp = 6;</code>
   */
  openfmb.commonmodule.PhaseSPCOrBuilder getParOpOrBuilder();

  /**
   * <pre>
   * Ramp rates
   * </pre>
   *
   * <code>.commonmodule.RampRate rampRates = 7;</code>
   * @return Whether the rampRates field is set.
   */
  boolean hasRampRates();
  /**
   * <pre>
   * Ramp rates
   * </pre>
   *
   * <code>.commonmodule.RampRate rampRates = 7;</code>
   * @return The rampRates.
   */
  openfmb.commonmodule.RampRate getRampRates();
  /**
   * <pre>
   * Ramp rates
   * </pre>
   *
   * <code>.commonmodule.RampRate rampRates = 7;</code>
   */
  openfmb.commonmodule.RampRateOrBuilder getRampRatesOrBuilder();

  /**
   * <pre>
   * (controllable) Tap position change to the specified value.
   * </pre>
   *
   * <code>.commonmodule.Optional_StateKind state = 8;</code>
   * @return Whether the state field is set.
   */
  boolean hasState();
  /**
   * <pre>
   * (controllable) Tap position change to the specified value.
   * </pre>
   *
   * <code>.commonmodule.Optional_StateKind state = 8;</code>
   * @return The state.
   */
  openfmb.commonmodule.Optional_StateKind getState();
  /**
   * <pre>
   * (controllable) Tap position change to the specified value.
   * </pre>
   *
   * <code>.commonmodule.Optional_StateKind state = 8;</code>
   */
  openfmb.commonmodule.Optional_StateKindOrBuilder getStateOrBuilder();

  /**
   * <pre>
   * If true, tap position shall be lowered.
   * </pre>
   *
   * <code>.commonmodule.PhaseSPC TapOpL = 9;</code>
   * @return Whether the tapOpL field is set.
   */
  boolean hasTapOpL();
  /**
   * <pre>
   * If true, tap position shall be lowered.
   * </pre>
   *
   * <code>.commonmodule.PhaseSPC TapOpL = 9;</code>
   * @return The tapOpL.
   */
  openfmb.commonmodule.PhaseSPC getTapOpL();
  /**
   * <pre>
   * If true, tap position shall be lowered.
   * </pre>
   *
   * <code>.commonmodule.PhaseSPC TapOpL = 9;</code>
   */
  openfmb.commonmodule.PhaseSPCOrBuilder getTapOpLOrBuilder();

  /**
   * <pre>
   * If true, tap position shall be raised.
   * </pre>
   *
   * <code>.commonmodule.PhaseSPC TapOpR = 10;</code>
   * @return Whether the tapOpR field is set.
   */
  boolean hasTapOpR();
  /**
   * <pre>
   * If true, tap position shall be raised.
   * </pre>
   *
   * <code>.commonmodule.PhaseSPC TapOpR = 10;</code>
   * @return The tapOpR.
   */
  openfmb.commonmodule.PhaseSPC getTapOpR();
  /**
   * <pre>
   * If true, tap position shall be raised.
   * </pre>
   *
   * <code>.commonmodule.PhaseSPC TapOpR = 10;</code>
   */
  openfmb.commonmodule.PhaseSPCOrBuilder getTapOpROrBuilder();

  /**
   * <pre>
   * High voltage limit for Voltage Limiter
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC VolLmtHi = 11;</code>
   * @return Whether the volLmtHi field is set.
   */
  boolean hasVolLmtHi();
  /**
   * <pre>
   * High voltage limit for Voltage Limiter
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC VolLmtHi = 11;</code>
   * @return The volLmtHi.
   */
  openfmb.commonmodule.PhaseAPC getVolLmtHi();
  /**
   * <pre>
   * High voltage limit for Voltage Limiter
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC VolLmtHi = 11;</code>
   */
  openfmb.commonmodule.PhaseAPCOrBuilder getVolLmtHiOrBuilder();

  /**
   * <pre>
   * Low voltage limit for Voltage Limiter
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC VolLmtLo = 12;</code>
   * @return Whether the volLmtLo field is set.
   */
  boolean hasVolLmtLo();
  /**
   * <pre>
   * Low voltage limit for Voltage Limiter
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC VolLmtLo = 12;</code>
   * @return The volLmtLo.
   */
  openfmb.commonmodule.PhaseAPC getVolLmtLo();
  /**
   * <pre>
   * Low voltage limit for Voltage Limiter
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC VolLmtLo = 12;</code>
   */
  openfmb.commonmodule.PhaseAPCOrBuilder getVolLmtLoOrBuilder();

  /**
   * <pre>
   * Voltage-limiting types
   * </pre>
   *
   * <code>.commonmodule.Optional_VoltLimitModeKind VolLmtMode = 13;</code>
   * @return Whether the volLmtMode field is set.
   */
  boolean hasVolLmtMode();
  /**
   * <pre>
   * Voltage-limiting types
   * </pre>
   *
   * <code>.commonmodule.Optional_VoltLimitModeKind VolLmtMode = 13;</code>
   * @return The volLmtMode.
   */
  openfmb.commonmodule.Optional_VoltLimitModeKind getVolLmtMode();
  /**
   * <pre>
   * Voltage-limiting types
   * </pre>
   *
   * <code>.commonmodule.Optional_VoltLimitModeKind VolLmtMode = 13;</code>
   */
  openfmb.commonmodule.Optional_VoltLimitModeKindOrBuilder getVolLmtModeOrBuilder();
}
